Summary: Software version of a PKCS#11 Hardware Security Module
Name: softhsm
Version: 2.0.0pspacek8384
Release: 1%{?dist}
License: BSD
Url: http://www.opendnssec.org/
Source: %{name}-%{version}.tar.gz
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel, cppunit-devel
BuildRequires: libtool, shtool, autogen
# migration
BuildRequires: sqlite-devel, gcc-c++, sqlite >= 3.4.2
Requires(pre): shadow-utils

%description
OpenDNSSEC is providing a software implementation of a generic 
cryptographic device with a PKCS#11 interface, the SoftHSM. SoftHSM is 
designed to meet the requirements of OpenDNSSEC, but can also work together 
with other cryptographic products because of the PKCS#11 interface.

%package devel
Summary: Development package of softhsm that includes the header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, openssl-devel

%description devel
The devel package contains the libsofthsm include files

%prep
%setup -q

%build
%configure --libdir=%{_libdir}/ --disable-gost --with-migrate
make %{?_smp_mflags}

%check
make check

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm %{buildroot}/etc/softhsm2.conf.sample
rm -f %{buildroot}/%{_libdir}/softhsm/*a
mkdir -p %{buildroot}%{_includedir}/softhsm
cp src/lib/*.h %{buildroot}%{_includedir}/softhsm
mkdir -p %{buildroot}/var/softhsm

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/softhsm2.conf
%{_bindir}/*
%dir %{_libdir}/softhsm/
%{_libdir}/softhsm/libsofthsm2.so
%attr(0770,ods,ods) %dir /var/softhsm
%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
%attr(0755,ods,ods) %dir %{_includedir}/softhsm
%{_includedir}/softhsm/*.h

%pre
getent group ods >/dev/null || groupadd -r ods
getent passwd ods >/dev/null || \
    useradd -r -g ods -d /var/softhsm -s /sbin/nologin \
    -c "DNSSEC private keys owner" ods
exit 0

%changelog
* Thu Jul 17 2014 P S
commit 24d5ea05acbe9dd5a7e0f9c46bf2d75718910efc
Author: Petr Spacek <pspacek@redhat.com>
Date:   Mon Jul 7 14:15:44 2014 +0200
    add support for CKM_RSA_PKCS key un/wrapping


* Tue Jul 30 2013 Paul Wouters <pwouters@redhat.com> - 1.3.3-4
- Rebuilt for new botan - requires --with-botan argument

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Paul Wouters <pwouters@redhat.com> - 1.3.3-1
- Updated to 1.3.3

* Tue Apr 03 2012 Paul Wouters <pwouters@redhat.com> - 1.3.2-1
- Updated to 1.3.2.
- Changed user from opendnssec to ods, as used in the opendnssec package

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Paul Wouters <paul@xelerance.com> - 1.3.0-3
- Initial Fedora package
- Do not install the .a file
- Use a separate "opendnssec" user to own /var/sofhsm

* Tue Oct 25 2011 Paul Wouters <paul@xelerance.com> - 1.3.0-2
- Fix description texts w.r.t. include files

* Wed Oct 05 2011 Paul Wouters <paul@xelerance.com> - 1.3.0-1
- Upgraded to 1.3.0

* Thu Mar  3 2011 Paul Wouters <paul@xelerance.com> - 1.2.0-1
- Initial package for Fedora 
